Add Component
curl --request POST \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/brand-standards/{id}/components \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"refNumber": "<string>",
"name": "<string>",
"categoryId": "<string>",
"productTypeId": "<string>",
"quantity": "1.00"
}
'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/brand-standards/{id}/components"
payload = {
"refNumber": "<string>",
"name": "<string>",
"categoryId": "<string>",
"productTypeId": "<string>",
"quantity": "1.00"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
refNumber: '<string>',
name: '<string>',
categoryId: '<string>',
productTypeId: '<string>',
quantity: '1.00'
})
};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/brand-standards/{id}/components', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"componentsCount": 1,
"materialsCount": 1,
"partsCount": 1,
"items": [
{
"quantity": "2.00",
"id": "<string>",
"linkedBrandStandardId": "<string>",
"templateFamilyId": "<string>",
"refNumber": "<string>",
"name": "<string>",
"categoryId": "<string>",
"categoryName": "<string>",
"partItemId": "<string>",
"partItemName": "<string>",
"partFamilyId": "<string>",
"partFamilyName": "<string>",
"partFamilyType": "default",
"partFamilyCategoryId": "<string>",
"primaryImageUrl": "<string>",
"partItemColumnsAttributes": {},
"partItemVersion": 123,
"primaryItemSourceId": "<string>",
"primaryItemSourceColumnsAttributes": {},
"createdAt": "<string>"
}
]
}Brand Standards
Add Component
POST
/
v1
/
workspaces
/
{workspaceId}
/
brand-standards
/
{id}
/
components
Add Component
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I